Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dtu.library.ui
Class LibraryUI

    java.lang.Object
      dtu.library.ui.LibraryUI

    public class LibraryUI

extends java.lang.Object

Constructor Summary
`LibraryUI()`

Method Summary
`void` | `basicLoop(java.io.BufferedReader in, java.io.PrintWriter out)`
`Book` | `getCurrentBook()`
`static void` | `main(java.lang.String[] args)`
`void` | `printMenu(java.io.PrintWriter out)`
`boolean` | `processSelection(java.lang.String selection, java.io.BufferedReader in, java.io.PrintWriter out)`
`void` | `setCurrentBook(Book book)`
`java.lang.String` | `waitForSelection(java.io.BufferedReader in)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LibraryUI

    public LibraryUI()

Method Detail

### printMenu

    public void printMenu(java.io.PrintWriter out)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### waitForSelection

    public java.lang.String waitForSelection(java.io.BufferedReader in)
                                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### processSelection

    public boolean processSelection(java.lang.String selection,
                                    java.io.BufferedReader in,
                                    java.io.PrintWriter out)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### basicLoop

    public void basicLoop(java.io.BufferedReader in,
                          java.io.PrintWriter out)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### setCurrentBook

    public void setCurrentBook(Book book)

### getCurrentBook

    public Book getCurrentBook()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD